Subject: Re: [RFC 3/3] zImage: Exception vector support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 23 Feb 2007 18:06:49 +0100

> If this is an ELF file, you can put the exception vectors in a
> separate segment.  Or if you don't need the entry point to
> be in the low region, (and you don't need that unless your
> boot loader ignores the entry point in the ELF header), you can
> copy the vectors in at startup and have no code linked at 0 at
> all.

No you cant. When flashed in ROM, the HV expands the bootloader binary
at 0 and jumps to 0x100

Ben.